接口参考实例与控制台
列出实例可用的重装镜像
GET /api/v1/instances/{instance_id}/reinstall-images,listInstanceReinstallImages 的请求参数和响应结构。
GET /api/v1/instances/{instance_id}/reinstall-images
| 项目 | 内容 |
|---|---|
| 操作标识 | listInstanceReinstallImages |
| 认证 | 登录会话 Cookie |
需要当前实例的重装权限。
请求参数
| 名称 | 位置 | 必填 | 类型 | 说明与约束 |
|---|---|---|---|---|
| instance_id | path | 是 | string | 格式:uuid |
响应
| HTTP 状态 | 含义 |
|---|---|
| 200 | OK |
| 400 | 请求无法完成 |
| 401 | 请求无法完成 |
| 403 | 请求无法完成 |
| 404 | 请求无法完成 |
| 409 | 请求无法完成 |
| 503 | 请求无法完成 |
200 · application/json 响应结构
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| data | InstanceReinstallImage[] | 是 | — |
| request_id | string | 是 | — |
{
"$ref": "#/$defs/InstanceReinstallImagesResponse",
"$defs": {
"InstanceReinstallImagesResponse": {
"type": "object",
"required": [
"data",
"request_id"
],
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/$defs/InstanceReinstallImage"
}
},
"request_id": {
"type": "string"
}
}
},
"InstanceReinstallImage": {
"type": "object",
"required": [
"id",
"name",
"os",
"login_user",
"cloud_init_enabled"
],
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"os": {
"type": "string"
},
"login_user": {
"type": "string"
},
"cloud_init_enabled": {
"type": "boolean"
}
}
}
}
}400 / 401 / 403 / 404 / 409 / 503 · application/json 响应结构
{
"$ref": "#/$defs/ErrorResponse",
"$defs": {
"ErrorResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"error": {
"$ref": "#/$defs/ErrorDetail"
},
"request_id": {
"type": "string"
}
},
"required": [
"error",
"request_id"
]
},
"ErrorDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"enum": [
"NOT_IMPLEMENTED",
"NOT_FOUND",
"AUTH_REQUIRED",
"FORBIDDEN",
"VALIDATION_FAILED",
"CONFLICT",
"SERVICE_UNAVAILABLE",
"INTERNAL_ERROR",
"RATE_LIMITED"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"fields": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
"required": [
"code",
"message",
"retryable"
]
}
}
}响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。
本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。
